## org.apache.mahout.common
Class CommandLineUtil

    java.lang.Object
      org.apache.mahout.common.CommandLineUtil

    public final class CommandLineUtil

extends Object

Method Summary
`static void` `printHelp(org.apache.commons.cli2.Group group)`
`static void` `printHelpWithGenericOptions(org.apache.commons.cli2.Group group)` Print the options supported by `GenericOptionsParser`.
`static void` `printHelpWithGenericOptions(org.apache.commons.cli2.Group group, org.apache.commons.cli2.OptionException oe)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### printHelp

    public static void printHelp(org.apache.commons.cli2.Group group)

### printHelpWithGenericOptions

    public static void printHelpWithGenericOptions(org.apache.commons.cli2.Group group)
                                            throws IOException

  Print the options supported by `GenericOptionsParser`. In addition to the options supported by the job, passed in as the group parameter.

  Parameters:
    `group` - job-specific command-line options.
  Throws:
    `IOException`

### printHelpWithGenericOptions

    public static void printHelpWithGenericOptions(org.apache.commons.cli2.Group group,
                                                   org.apache.commons.cli2.OptionException oe)
                                            throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.